Bug 6059 - [UPDATE REQUEST] virtualbox 4.3.28 -> 5.0.10
: [UPDATE REQUEST] virtualbox 4.3.28 -> 5.0.10
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks: 6324
  Show dependency treegraph
 
Reported: 2015-08-15 05:45 MSD by Andrey Bondrov
Modified: 2015-11-24 09:06 MSK (History)
2 users (show)

See Also:
RPM Package: virtualbox
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments
rosa live (9.12 KB, application/x-virtualbox-vbox)
2015-08-24 16:19 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-08-15 05:45:27 MSD
New version of VirtualBox was released.
Comment 1 Andrey Bondrov 2015-08-15 05:46:07 MSD
Advisory: "Update VirtualBox to 5.0.2"

https://abf.rosalinux.ru/build_lists/2552105
https://abf.rosalinux.ru/build_lists/2552106
Comment 2 FirstLevel 2015-08-20 12:17:43 MSD
32bit

install old, update, launch  - ok
install new, launch - ok

64bit

install old, update, launch  - ok
install new, launch - ok


checking install ROSA in VB...
Comment 3 FirstLevel 2015-08-20 13:43:48 MSD
Install Fresh in VB - goes well for 32 and 64 bit
Comment 4 Vladimir Potapov 2015-08-20 13:45:43 MSD
I don't have sound for ROSAx32 in VBox32... The effect showed on new ROSA install, for upgraded vm all ok.
Comment 5 Vladimir Potapov 2015-08-24 15:20:34 MSD
Mageia bug http://bugs.rosalinux.ru/show_bug.cgi?id=6059
Comment 7 Andrey Bondrov 2015-08-24 15:52:31 MSD
Can you please attach .vbox file for the 5.x virtual machine without sound?
Comment 8 Vladimir Potapov 2015-08-24 16:19:04 MSD
Created attachment 4226 [details]
rosa live
Comment 9 Andrey Bondrov 2015-08-24 20:41:28 MSD
(In reply to comment #8)
> Created attachment 4226 [details]
> rosa live

This virtual machine should have sound because it doesn't have audio codec defined.

I believe the issue with sound was introduced in this commit:

https://www.virtualbox.org/changeset?reponame=vbox&new=56459%40trunk%2Fsrc%2FVBox%2FMain%2Fsrc-all%2FGlobal.cpp&old=56447%40trunk%2Fsrc%2FVBox%2FMain%2Fsrc-all%2FGlobal.cpp
Comment 10 Vladimir Potapov 2015-08-25 05:04:51 MSD
Do you reassemble packages with the commit?
Comment 11 Andrey Bondrov 2015-08-25 10:47:13 MSD
(In reply to comment #10)
> Do you reassemble packages with the commit?

Not yet. I'll investigate why it breaks sound support instead of reverting this commit.
Comment 12 Vladimir Potapov 2015-08-27 05:55:38 MSD
Issues with sound
**************************
QA Denied
Comment 13 Andrey Bondrov 2015-08-27 12:44:55 MSD
Advisory: "Update VirtualBox to 5.0.2. Force STAC9700 audio codec for AC97 controller until AD1980 is fixed."

https://abf.rosalinux.ru/build_lists/2558292
https://abf.rosalinux.ru/build_lists/2558293
Comment 14 Vladimir Potapov 2015-08-27 13:23:45 MSD
Не работает. Пробовал создать новую машину и загрузить r6X64 в лайве. Пробовал все три предложенных звуковухи - нет звука. В унаследованной с прошлой версии виртуалке звук все так же есть.
Comment 15 Vladimir Potapov 2015-09-03 10:05:34 MSD
регрессия со звуком в новосозданных виртуалках
************************************************
QA Denied
Comment 16 Andrey Bondrov 2015-09-30 14:11:34 MSD
Advisory: "Update VirtualBox to new version 5.0.4"

https://abf.rosalinux.ru/build_lists/2577218
https://abf.rosalinux.ru/build_lists/2577219
Comment 17 Vladimir Potapov 2015-10-02 08:41:33 MSD
Все так же. Созданные в пятой версии виртуалки без звука (даже если запускаешь их потом в четвертой). Созданные в четвертой - со звуком, даже если их запускаешь в пятой. Надо бы отличия поискать в начальных параметрах...
Comment 18 Andrey Bondrov 2015-10-02 10:37:08 MSD
(In reply to comment #17)
> Все так же. Созданные в пятой версии виртуалки без звука (даже если
> запускаешь их потом в четвертой). Созданные в четвертой - со звуком, даже
> если их запускаешь в пятой. Надо бы отличия поискать в начальных
> параметрах...

Отличия мне понятны - в 5-м vbox добавился дополнительный параметр, наличие которого и приводит к проблемам. Но лучше пусть в апстриме починят баг, чем мы хаками будем его обходить.
Comment 19 Vladimir Potapov 2015-10-02 10:57:12 MSD
а в апстриме баг на это заведен?
Comment 20 Andrey Bondrov 2015-10-02 12:41:22 MSD
(In reply to comment #19)
> а в апстриме баг на это заведен?

Я не заводил.
Comment 21 Vladimir Potapov 2015-10-02 12:46:06 MSD
(In reply to comment #20)
> (In reply to comment #19)
> > а в апстриме баг на это заведен?
> 
> Я не заводил.
ну тогда как они исправят?
Comment 22 Vladimir Potapov 2015-10-02 12:47:01 MSD
Issue with sound for new virtual machines
*****************************************
QA Denied
Comment 23 Andrey Bondrov 2015-10-02 15:00:06 MSD
(In reply to comment #21)
> (In reply to comment #20)
> > (In reply to comment #19)
> > > а в апстриме баг на это заведен?
> > 
> > Я не заводил.
> ну тогда как они исправят?

Может зарепортишь его, если тебе не сложно будет?
Comment 24 Vladimir Potapov 2015-10-02 18:38:59 MSD
(In reply to comment #23)
> (In reply to comment #21)
> > (In reply to comment #20)
> > > (In reply to comment #19)
> > > > а в апстриме баг на это заведен?
> > > 
> > > Я не заводил.
> > ну тогда как они исправят?
> 
> Может зарепортишь его, если тебе не сложно будет?
Просто ты разбирался во внутренностях и можешь точнее народ навести на место, где править. Я ж только воспроизведение могу описать, да с Росой это вряд ли кто будет делать.
Comment 25 Andrey Bondrov 2015-10-02 20:24:58 MSD
Зарепортил: https://www.virtualbox.org/ticket/14653
Comment 26 Andrey Bondrov 2015-10-03 04:34:39 MSD
И ещё одно обновление вышло. Можно на всякий случай проверить, вдруг починили там случайно проблему (случайно - потому что в анонсе релиза проблема не упоминалась).

Advisory: "Update VirtualBox to 5.0.6"

https://abf.rosalinux.ru/build_lists/2577997
https://abf.rosalinux.ru/build_lists/2577998
Comment 27 Andrey Bondrov 2015-11-16 11:46:55 MSK
Advisory: "Update VirtualBox to new version 5.0.10"

https://abf.rosalinux.ru/build_lists/2598260
https://abf.rosalinux.ru/build_lists/2598261
Comment 28 Vladimir Potapov 2015-11-18 04:52:04 MSK
The update is sent to expanded testing
**************************************
Comment 29 Vladimir Potapov 2015-11-24 06:37:46 MSK
virtualbox-5.0.10-1
https://abf.rosalinux.ru/build_lists/2598260
https://abf.rosalinux.ru/build_lists/2598261
**************************** Advisory *****************************
Update VirtualBox to new version 5.0.10
*******************************************************************
QA Verified